Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.event
Class JMSBridgeFactory

    java.lang.Object
      org.apache.cayenne.event.JMSBridgeFactory

All Implemented Interfaces:
  EventBridgeFactory

    public class JMSBridgeFactory

extends java.lang.Object
implements EventBridgeFactory

Factory to create JMSBridge instances.

Since:
  1.1
Author:
  Andrei Adamchik

Field Summary
`static java.lang.String` | `TOPIC_CONNECTION_FACTORY_DEFAULT`
`static java.lang.String` | `TOPIC_CONNECTION_FACTORY_PROPERTY`

Constructor Summary
`JMSBridgeFactory()`

Method Summary
`EventBridge` | `createEventBridge(java.util.Collection localSubjects, java.lang.String externalSubject, java.util.Map properties)` Creates an EventBridge with the specified parameters.
`EventBridge` | `createEventBridge(EventSubject localSubject, java.util.Map properties)` Deprecated. since 1.2, as we now need to support multiple subjects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOPIC_CONNECTION_FACTORY_DEFAULT

    public static final java.lang.String TOPIC_CONNECTION_FACTORY_DEFAULT

See Also:
  Constant Field Values

### TOPIC_CONNECTION_FACTORY_PROPERTY

    public static final java.lang.String TOPIC_CONNECTION_FACTORY_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### JMSBridgeFactory

    public JMSBridgeFactory()

Method Detail

### createEventBridge

    public EventBridge createEventBridge(EventSubject localSubject,
                                         java.util.Map properties)

  Deprecated. since 1.2, as we now need to support multiple subjects.

  Specified by:
    `createEventBridge` in interface `EventBridgeFactory`

### createEventBridge

    public EventBridge createEventBridge(java.util.Collection localSubjects,
                                         java.lang.String externalSubject,
                                         java.util.Map properties)

  Description copied from interface: `EventBridgeFactory`
  Creates an EventBridge with the specified parameters.

  Specified by:
    `createEventBridge` in interface `EventBridgeFactory`
  Since:
    1.2

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.